# Type Alias InjectableFactory

InjectableFactory: (...args: any[]) => any

A factory that can be either a standalone function or a dependency-annotated array.

The array form is used to support minification-safe dependency injection. See AnnotatedFactory.

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ...args: any[]

    #### Returns any

- Defined in src/interface.ts:32